## Table of Contents

- [About](#about)
- [Quick Start](#quick-start)
- [Docs](#docs)

##About

VimsCode is IDE with vim for beginner or expert

* VimsCode use arduino cli and espressif cli for code 
* Very easy to use 
* Very easy to install

##Quick Start

1. Introduction:

	Installation requires [Git] and triggers [`git clone`] for each configured repository to ~/.vim/ by defautl.
	(/picture/image.png)

2. Set up VimsCode

	git clone 

3. Configure Plugins

	Put this at the top of your `.vimrc` to use Vundle. Remove plugins you don't need, they are for illustration purposes.

	```vim
	set nocompatible              " be iMproved, required
	filetype off                  " required

	set rtp+=~/.vim/bundle/Vundle.vim
	call vundle#begin()
	Plugin 'VundleVim/Vundle.vim'

	"Plugins installés depuis Vim Awesome
	Plugin 'preservim/nerdtree'
	Plugin 'junegunn/fzf.vim'
	Plugin 'jeffkreeftmeijer/vim-numbertoggle'
	Plugin 'sheerun/vim-polyglot'
	Plugin 'rip-rip/clang_complete'
	Plugin 'jodosha/vim-devnotes'
	Plugin 'joshdick/onedark.vim'
	Plugin 'mbbill/undotree'
	Plugin 'flazz/vim-colorschemes'
	Plugin 'ervandew/supertab'

	call vundle#end()            " required
	filetype plugin indent on    " required

	"Parametre de vim
	syntax on
	set smartindent
	set shiftround
	set wildmenu
	set cursorline
	set hlsearch
	set mouse=a
	set termwinsize=10x150

	"Numérotation avec numbertoggle
	set number relativenumber

	"Theme vim
	"colorscheme onedark  "autre theme vim
	colorscheme space-vim-dark

	"Language vim
	let g:polyglot_enabled = ['sh', 'git', 'blade','scss','html5']

	"Raccourcis Note
	nmap <F4> :call DevNotes()<CR>

	"Raccourcis NerdTree
	nnoremap <F3> :NERDTreeFocus<CR>
	nnoremap <F3> :NERDTreeToggle<CR>

	"Raccourcis historique
	nnoremap <F5> :UndotreeToggle<CR>

	"Raccourcis terminale
	nmap <F6> :bot term<CR>

	"Raccourci vers une recherche duckduckgo
	vmap g :<C-U> !firefox "https://duckduckgo.com/?q=<cword>&t=newext&atb=v372-6&ia=web" >& /dev/null <CR><CR>

	"Raccourci vers aide vim
	nmap <F9> :!elinks https://agreugr.eu<CR>

	"Raccourci onglet
	nmap <F7> :tabnew<CR>
	nmap <F8> :tabnext<CR>

	"Raccourci plugin installer
	nmap œ :PluginList<CR>

	"Raccourci au lancement de vim

	au VimEnter *.cpp :NERDTreeFocus
	au VimEnter *.cpp :bot term
	```

4. Install Plugins:

   Launch `vim` and run `:PluginInstall`

##Docs

https://projets.cohabit.fr/redmine/projects/accueil/wiki/Documentation_IDE_Vim
